import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.DefaultListModel;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

public class MyFrame3 extends JFrame
{
    private JList<String> list;
    private DefaultListModel<String> listModel;
    private JButton b1;
    private JButton b2;
    private JTextArea text;

    public MyFrame3(String title)
    {
        this.setSize(300, 200);

        this.setLocationRelativeTo(null);

        BorderLayout layout = new BorderLayout();
        this.setLayout(layout);

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        //////////// 
        // JList
        String[] strgs = {"Foo", "Bar", "Baz"}; 
        this.list = new JList<String>(strgs);
        //this.list = new JList<String>(listModel);
        this.add(list, BorderLayout.EAST);
        this.list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        
        // Buttons
        b1 = new JButton("Button 1");
        b2 = new JButton("Button 2");
        this.add(b1, BorderLayout.NORTH);
        this.add(b2, BorderLayout.WEST);
        
        
        // Text
        text = new JTextArea("In Xanadu did Kubla Khan A stately pleasure-dome decree: ");
        text.setLineWrap(true);
        text.setWrapStyleWord(true);
        this.add(text, BorderLayout.CENTER);
        
        ///////////
        // Finish
        this.setVisible(true);

        this.list.addListSelectionListener(new ListSelectionListener() 
        {

            @Override
            public void valueChanged(ListSelectionEvent e)
            {
                String s = MyFrame3.this.list.getSelectedValue();
                MyFrame3.this.text.setText("SELECTED: " + s);
                
            }
            
        });

    }

    public static void main(String[] args) throws InterruptedException
    {
        MyFrame3 frame = new MyFrame3("My Frame");


    }

}
