import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.CubicCurve2D;
import java.awt.geom.Rectangle2D;

import javax.swing.ImageIcon;
import javax.swing.JPanel;

public class MyPanel extends JPanel
{
    private int x;
    private int y;
    private ImageIcon icon = new ImageIcon("smiley.png");
    
    public MyPanel()
    {
        super();
        x = 10;
        y = 100;
    }
    
    protected void paintComponent(Graphics g)
    {
        super.paintComponent(g);
        g.setColor(Color.CYAN);
        g.fillRect(x , y , 100 , 200);
        
        Font font = new Font(Font.SANS_SERIF, Font.ITALIC, 60);
        g.setFont(font);
        String strg = "FOO";
        
        FontMetrics fm = g.getFontMetrics();
        Rectangle2D rect = fm.getStringBounds(strg , g);
        
        g.setColor(Color.BLUE);
        g.drawString(strg , x , y);
        g.drawRoundRect(x , y - (int) rect.getHeight() , (int) rect.getWidth() , 
                (int) rect.getHeight(), 50, 50);
        
        Graphics2D g2 = (Graphics2D) g;
        
        g2.setStroke(new BasicStroke(5));
        
        Shape s = new CubicCurve2D.Double(x + 175, y, x + 200, y + 50,
                x+250, y-5, x+300, y-75);
        g2.draw(s);
        
        g2.rotate(.2);
        g2.scale(.3 , .2);
        icon.paintIcon(this , g2 , x + 200, y); 
        
    }
}
